| Home | Libraries | People | FAQ | More

## Macro BOOST_LOCAL_FUNCTION_CONFIG_ARITY_MAX

BOOST_LOCAL_FUNCTION_CONFIG_ARITY_MAX — Maximum number of parameters supported by local functions.

## Synopsis

    // In header: <boost/local_function/config.hpp>

    BOOST_LOCAL_FUNCTION_CONFIG_ARITY_MAX

## Description

If programmers leave this configuration macro undefined, its default value is `5` (increasing this number might increase compilation time). When defined by programmers, this macro must be a non-negative integer number.

Note: This macro specifies the maximum number of local function parameters excluding bound variables (which are instead specified by `BOOST_LOCAL_FUNCTION_CONFIG_BIND_MAX`).

See: Tutorial section, Getting Started section, `BOOST_LOCAL_FUNCTION_CONFIG_BIND_MAX`.